# $Revision: 1.17.2.7 $, $Date: 2008/09/25 10:23:11 $
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	smp		# don't build SMP module
%bcond_without	up		# don't build UP module
%bcond_with	verbose		# verbose build (V=1)

%ifarch sparc
%undefine	with_smp
%endif

%if %{without kernel}
%undefine 	with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif
# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		rel		9
%define		pname	e1000e
Summary:	Intel(R) PRO/1000e driver for Linux
Summary(en.UTF-8):	Intel® PRO/1000e driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel® PRO/1000e
Name:		%{pname}%{_alt_kernel}
Version:	0.4.1.7
Release:	%{rel}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://dl.sourceforge.net/e1000/%{pname}-%{version}.tar.gz
# Source0-md5:	6ee50d62db27d7af0abfd0cbc61fb76f
URL:		http://dl.sourceforge.net/e1000/
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.7}
BuildRequires:	rpmbuild(macros) >= 1.330
# broken
ExcludeArch:	sparc ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Linux driver for the Intel(R) PRO/1000
family of 10/100/1000 Ethernet network adapters. This driver is
designed to work with the Intel(R) 82571/2/3/4 PCI-E family of gigabit
adapters and 82567 controllers.

%description -l en.UTF-8
This package contains the Linux driver for the Intel® PRO/1000 family
of 10/100/1000 Ethernet network adapters. This driver is designed to
work with the Intel® 82571/2/3/4 PCI-E family of gigabit adapters and
82567 controllers.

%description -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych
10/100/1000Mbit z rodziny Intel® PRO/1000. Ten sterownik jest
stworzony aby pracować z kartami gigabitowymi rodziny Intel®
82571/2/3/4 PCI-E oraz kontrolerami 82567.

%package -n kernel%{_alt_kernel}-net-%{pname}
Summary:	Intel(R) PRO/1000e driver for Linux
Summary(en.UTF-8):	Intel® PRO/1000e driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel® PRO/1000e
Release:	%{rel}@%{_kernel_vermagic}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}(vermagic) = %{_kernel_ver}}

%description -n kernel%{_alt_kernel}-net-%{pname}
This package contains the Linux driver for the Intel(R) PRO/1000
family of 10/100/1000 Ethernet network adapters. This driver is
designed to work with the Intel(R) 82571/2/3/4 PCI-E family of gigabit
adapters and 82567 controllers.

%description -n kernel%{_alt_kernel}-net-%{pname} -l en.UTF-8
This package contains the Linux driver for the Intel® PRO/1000 family
of 10/100/1000 Ethernet network adapters. This driver is designed to
work with the Intel® 82571/2/3/4 PCI-E family of gigabit adapters and
82567 controllers.

%description -n kernel%{_alt_kernel}-net-%{pname} -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych
10/100/1000Mbit z rodziny Intel® PRO/1000. Ten sterownik jest
stworzony aby pracowa. z kartami gigabitowymi rodziny Intel
82571/2/3/4 PCI-E oraz kontrolerami 82567.

%package -n kernel%{_alt_kernel}-smp-net-%{pname}
Summary:	Intel(R) PRO/1000e driver for Linux
Summary(en.UTF-8):	Intel® PRO/1000e driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel® PRO/1000e
Release:	%{rel}@%{_kernel_vermagic}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}-smp(vermagic) = %{_kernel_ver}}

%description -n kernel%{_alt_kernel}-smp-net-%{pname}
This package contains the Linux SMP driver for the Intel(R) PRO/1000
family of 10/100/1000 Ethernet network adapters. This driver is
designed to work with the Intel(R) 82571/2/3/4 PCI-E family of gigabit
adapters and 82567 controllers.

%description -n kernel%{_alt_kernel}-smp-net-%{pname} -l en.UTF-8
This package contains the Linux SMP driver for the Intel® PRO/1000
family of 10/100/1000 Ethernet network adapters. This driver is
designed to work with the Intel® 82571/2/3/4 PCI-E family of gigabit
adapters and 82567 controllers.

%description -n kernel%{_alt_kernel}-smp-net-%{pname} -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych
10/100/1000Mbit z rodziny Intel® PRO/1000. Ten sterownik jest
stworzony aby pracować z kartami gigabitowymi rodziny Intel®
82571/2/3/4 PCI-E oraz kontrolerami 82567.

%prep
%setup -q -n %{pname}-%{version}
cat > src/Makefile <<'EOF'
obj-m := e1000e.o
e1000e-objs := netdev.o ethtool.o param.o kcompat.o e1000_80003es2lan.o \
e1000_82571.o e1000_ich8lan.o e1000_mac.o e1000_manage.o e1000_nvm.o \
e1000_phy.o

EXTRA_CFLAGS=-DDRIVER_E1000E
EOF

%build
%build_kernel_modules -C src -m %{pname}

%install
rm -rf $RPM_BUILD_ROOT
%install_kernel_modules -m src/%{pname} -d kernel/drivers/net -n %{pname} -s current
# blacklist kernel module
cat > $RPM_BUILD_ROOT/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf <<'EOF'
blacklist e1000e
alias e1000e e1000e-current
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-net-%{pname}
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-net-%{pname}
%depmod %{_kernel_ver}

%post	-n kernel%{_alt_kernel}-smp-net-%{pname}
%depmod %{_kernel_ver}smp

%postun -n kernel%{_alt_kernel}-smp-net-%{pname}
%depmod %{_kernel_ver}smp

%if %{with kernel}
%if %{with up}
%files -n kernel%{_alt_kernel}-net-%{pname}
%defattr(644,root,root,755)
%doc e1000e.7 README
/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf
/lib/modules/%{_kernel_ver}/kernel/drivers/net/%{pname}*.ko*
%endif

%if %{with smp} && %{with dist_kernel}
%files -n kernel%{_alt_kernel}-smp-net-%{pname}
%defattr(644,root,root,755)
%doc e1000e.7 README
/etc/modprobe.d/%{_kernel_ver}smp/%{pname}.conf
/lib/modules/%{_kernel_ver}smp/kernel/drivers/net/%{pname}*.ko*
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: e1000e.spec,v $
Revision 1.17.2.7  2008/09/25 10:23:11  glen
- vermagic deps also in up package; rel 9

Revision 1.17.2.6  2008/09/19 00:40:34  glen
- sparc ppc are broken; rel 8

Revision 1.17.2.5  2008/09/18 14:12:09  glen
- vermagic deps

Revision 1.17.2.4  2008/09/18 14:05:35  glen
- ® vs (R) changes from HEAD

Revision 1.17.2.3  2008/09/18 13:56:31  glen
- tabs

Revision 1.17.2.2  2008/09/18 13:51:21  glen
- cleanups

Revision 1.17.2.1  2008/09/06 12:40:03  marcus
- LINUX_2_6_16 branch for Ac kernels. Based on e1000.spec.

Revision 1.18  2008/09/06 12:35:27  marcus
- e1000e driver for 2.6.16.x Ac kernel
